org.eclipse.emf.cdo.server

## Interface ISessionManager

- All Superinterfaces:
    IContainer<ISession>, INotifier
  All Known Subinterfaces:
    InternalSessionManager

      public interface ISessionManager
      extends IContainer<ISession>

  Manages the user `sessions` of a `repository`.
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.container.IContainer

      `IContainer.Modifiable<E>, IContainer.Persistable<E>, IContainer.Persistence<E>`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `IAuthenticator` | `getAuthenticator()`
    `IRepository` | `getRepository()`
    `ISession` | `getSession(int sessionID)`
    `ISession[]` | `getSessions()`
    `void` | `setAuthenticator(IAuthenticator authenticator)`

    - ### Methods inherited from interface org.eclipse.net4j.util.container.IContainer

      `getElements, isEmpty`

    - ### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

      `addListener, getListeners, hasListeners, removeListener`

- - ### Method Detail

    - #### getRepository

          IRepository getRepository()

      Since:
        2.0

    - #### getSessions

          ISession[] getSessions()

    - #### getSession

          ISession getSession(int sessionID)

      Since:
        2.0

    - #### getAuthenticator

          IAuthenticator getAuthenticator()

      Since:
        4.2

    - #### setAuthenticator

          void setAuthenticator(IAuthenticator authenticator)

      Since:
        4.2

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html